add-server

Modified at: V2.4

Use this interface to add streaming sessions, up to 16 tasks are supported to be added.

Different sessions with same configurations are not allowed, such as:

  • Custom RTMP servers with the same URL and StreamKey
  • Other RTMP servers(such as Twitch/YouTube/Facebook) with the same StreamKey
  • RTSP sessions with the same port number
  • SRT Caller sessions with the same IP address, port and stream ID
  • SRT Listener sessions with the same port
  • HLS sessions with the same main stream name or sub stream name
  • TS over UDP/RTP sessions with the same IP address and port
  • specify the same IP address and port number for TS over UDP and TS over RTP
  • NDI HX sessions with the same source
  • For ZIXI live streaming, same stream ID is considered same configuration
  • For RIST Caller live streaming, same IP address and port number are considered same configuration
  • For RIST Listener live streaming, same port number is considered same configuration

HTTP Request

GET http://ip/usapi?method=add-server&type=xxx&url=xxx&key=xxx&...
Parameter Description
method add-server
type Server type
0: RTMP
1: Twitch
2: YouTube
3: Facebook
4: Wowza over RTMP
100: RTSP
120: SRT Caller
121: SRT Listener
122: Wowza over SRT
130: NDI HX
131: HLS
132: TS over UDP
133: TS over RTP
140: TVU ISS
143: YouTube HLS
144: ZIXI
150: RIST Caller
151: RIST Listener
name Indicates a session name, ranging from 1 to 32 characters, consisting of A to Z, a to z, 0 to 9, spaces ._-+'[](), and cannot start or end with space.
RTMP streaming settings
stream-index Indicates the stream type.
0: main stream
1: sub stream
url Indicates streaming destination address.
key Indicates stream key.
is-auth Indicates authentication status.
0: authentication is not required
1: authentication is required. Both username and password are mandatory.
user Indicates user name.
passwd Indicates password.
token Indicates Token.
event-data Indicates streaming event.
net-mode Indicates the network priority.
0: Mobile broadband first
1: Ethernet first
2: Wi-Fi first
audio Audio streams.
0: Stream 1
1: Stream 2
2: Stream 3
3: Stream 4
RTSP streaming settings
port Indicates port number, the default port is 554.
max-connection Indicates number of clients for each RTSP stream.
is-auth Indicates authentication status.
0: authentication is not required
1: authentication is required. Both username and password are mandatory.
user Indicates user name.
passwd Indicates password.
is-main Indicates whether to enable the main stream.
0: disable the main stream.
1: enable the main stream.
main-stream-name Indicates the main stream name, ranging from 1 to 32 characters, consisting of A to Z, a to z, 0 to 9, spaces, and special characters ._-+'[](). The name should not start or end with spaces.
is-sub Indicates whether to enable the sub stream.
0: disable the sub stream.
1: enable the sub stream.
sub-stream-name Indicates the sub stream name, ranging from 1 to 32 characters, consisting of A to Z, a to z, 0 to 9, spaces, and special characters ._-+'[](). The name should not start or end withe spaces.
is-audio Indicates whether to enable audio.
0: disable audio.
1: enable audio.
audio Audio streams.
0: Stream 1
1: Stream 2
2: Stream 3
3: Stream 4
SRT Caller streaming settings
stream-index Indicates the stream type.
0: main stream
1: sub stream
url Indicates destination address.
port Indicates port number.
latency Indicates delay time. You can obtain its range by using get-info.
bandwidth Indicates the portion of the total bandwidth of a stream required for the exchange of SRT control and recovered packets. You can obtain its range by using get-info.
aes Indicates the stream encryption algorithm to ensure the data security.
0: no encryption
16: AES-128
24: AES-192
32: AES-256
ase-word Indicates passphrase.
stream-id Optional
mtu Maximum transport unit ranges from 232 to 1500.
conn-timeout Connect timeout in milliseconds.
retry-duration Waiting time for reconnection in milliseconds.
net-mode Indicates network priority.
0: mobile broadband first
1: Ethernet first
2: Wi-Fi first
audio-streams Audio stream mask. If the selected audio stream is n (n ranges from 0 to 3), then audio-streams |= (1 << n)
token Token, valid only for Wowza over SRT
event-data Live events, only valid for Wowza over SRT
is-custom-pid Whether to customize PID
0: Default PID
1: Custom PID
pmt-pid Program map PID, range from 0x10~0x1FFE
pcr-pid Program clock reference PID, range from 0x10~0x1FFE
video-pid Video PID, range from 0x10~0x1FFE
audio-pid Audio PID, range from 0x10~0x1FFE
SRT Listener streaming settings
stream-index Indicates the stream type.
0: main stream
1: sub stream
port Indicates service port number. The default port is 8000.
max-connection Indicates max client number.
latency Indicates delay time. You can obtain its range by using get-info.
bandwidth the portion of the total bandwidth of a stream required for the exchange of SRT control and recovered packets. You can obtain its range by using get-info.
aes Indicates the stream encryption algorithm to ensure the data security.
0: no encryption
16: AES-128
24: AES-192
32: AES-256
ase-word Indicates passphrase.
mtu Maximum transmission unit ranges from 232 to 1500.
audio Audio streams.
0: Stream 1
1: Stream 2
2: Stream 3
3: Stream 4
is-custom-pid Whether to customize PID
0: Default PID
1: Custom PID
pmt-pid Program map PID, range from 0x10~0x1FFE
pcr-pid Program clock reference PID, range from 0x10~0x1FFE
video-pid Video PID, range from 0x10~0x1FFE
audio-pid Audio PID, range from 0x10~0x1FFE
NDI HX streaming settings
source-name By default, it is the same as serial number.
group-name Indicates the Group name which the source belongs to. By default, it is public.
enable-discovery Whether to enable discovery server.
discovery-server Indicates the IP address of discovery server.
transport-mode The parameter is required when transporting via multicast. Obtain transport mode related parameters using get-info.
mcast-addr Multicast address
mcast-mask Multicast mask
mcast-ttl Time to live for multicast ranges from 1 to 255.
enable-fail-over Whether to enable fail over.
fail-over-ndi-name Indicates the backup NDI channel name.
fail-over-ip-addr Indicates the backup NDI channel IP address.
enable-web-control Whether to allow to open the Web UI by clicking the gear icon in the NDI Studio Monitor application.
audio Audio streams.
0: Stream 1
1: Stream 2
2: Stream 3
3: Stream 4
HLS streaming settings
stream-index Streams.
0: main stream
1: sub stream
stream-name Indicates the main stream name, ranging from 1 to 32 characters, consisting of A to Z, a to z, 0 to 9, spaces, and special characters ._-+'[](). The name should not start or end with spaces.
audio Audio streams.
0: Stream 1
1: Stream 2
2: Stream 3
3: Stream 4
TS over UDP/RTP streaming settings
stream-index Indicates the stream type.
0: main stream
1: sub stream
url Indicates the destination address.
port Indicates the stream port
net-mode Indicates the network priority.
0: Mobile broadband first
1: Ethernet first
2: Wi-Fi first
audio Audio streams.
0: Stream 1
1: Stream 2
2: Stream 3
3: Stream 4
is-custom-pid 0: default PID
1: custom PID
pmt-pid Program mapping PID, value range is from 0x10 to 0x1FFE.
pcr-pid Program clock reference PID, value range is from 0x10 to 0x1FFE.
video-pid Video PID, value range is from 0x10 to 0x1FFE.
audio-pid Audio PID, value range is from 0x10 to 0x1FFE.
TVU ISSP streaming settings
port Indicates the stream port. 6539 by default.
stream-index Indicates the stream type.
0: main stream
1: sub stream
audio Audio streams.
0: Stream 1
1: Stream 2
2: Stream 3
3: Stream 4
YouTube HLS streaming settings
stream-index 0: main stream
1: sub stream
url Server URL
key Stream key
is-auth 0: No authentication required
1: authentication required with username and password
user Username
passwd Password
token Token
event-data Live event
net-mode Network priority.
0: mobile broadband first
1: wired network first
2: wireless network first
audio Audio stream.
0: Audio stream 1
1: Audio stream 2
2: Audio stream 3
3: Audio stream 4
ZIXI streaming settings
stream-index Encoding stream
0: Main stream
1: Sub stream
links Link information, including host, port, network, maximum bitrate, backup link; e.g. "10.10.35.34,2088,0,8192,0;10.10.35.34,2088,1,8192,1"
bond-links Bond links
0: Not bond
1: Bond
stream-id Stream ID
passwd Password
latency Delay time, you can obtain the range of related parameters through get-info
fec-overhead FEC overhead, you can obtain the range of related parameters through get-info
aes Encryption method
0: No encryption
16: AES-128 encryption
24: AES-192 encryption
32: AES-256 encryption
ase-word Encryption field
ignore-tls-cert-error Ignore TLS certificate error
audio-streams Audio stream mask value, if the selected audio stream is n (n ranges from 0~3), then audio-streams |= (1 << n)
RIST Caller streaming settings
stream-index Encoding stream
0: Main stream
1: Sub stream
profile Mode
0: Simple Profile
1: Main Profile
url Server address
port Port number
latency Delay time, you can obtain the range of related parameters through get-info
bandwidth Retransmission bandwidth, you can obtain the range of related parameters through get-info
aes Encryption method
0: No encryption
16: AES-128 encryption
32: AES-256 encryption
ase-word Encryption field
stream-id Optional
mtu Maximum transmission unit, valid value: 228 ~ 1500
net-mode Network priority
0: Mobile broadband first
1: Wired network first
2: Wireless network first
audio-streams Audio stream mask value, if the selected audio stream is n (n ranges from 0~3), then audio-streams |= (1 << n)
is-custom-pid Whether to customize PID
0: Default PID
1: Custom PID
pmt-pid Program map PID, range: 0x10~0x1FFE
pcr-pid Program clock reference PID, range: 0x10~0x1FFE
video-pid Video PID, range: 0x10~0x1FFE
audio-pid Audio PID, range: 0x10~0x1FFE
RIST Listener streaming settings
stream-index Encoding stream
0: Main stream
1: Sub stream
port Port number, default is 6000
max-connection Maximum number of clients
latency Delay time, you can obtain the range of related parameters through get-info
bandwidth Retransmission bandwidth, you can obtain the range of related parameters through get-info
aes Encryption method
0: No encryption
16: AES-128 encryption
32: AES-256 encryption
ase-word Encryption field
mtu Maximum transmission unit, valid value: 228 ~ 1500
audio-streams Audio stream mask value, if the selected audio stream is n (n ranges from 0~3), then audio-streams |= (1 << n)
is-custom-pid Whether to customize PID
0: Default PID
1: Custom PID
pmt-pid Program map PID, range: 0x10~0x1FFE
pcr-pid Program clock reference PID, range: 0x10~0x1FFE
video-pid Video PID, range: 0x10~0x1FFE
audio-pid Audio PID, range: 0x10~0x1FFE

Response Body

{
  "result": 0
}
Item Description
result 0 indicates that the request was accepted successfully. Refer to API Status Codes to find specific description for other values.

results matching ""

    No results matching ""

    results matching ""

      No results matching ""